import 'package:ocg_app/ocg_app.dart';
import 'package:ocg_user/ocg_user.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'event.dart';
import 'state.dart';

import '../../repository/chat.dart';
import '../../models/chat.dart';

class ChatBloc extends Bloc<ChatEvent, ChatState> {
  final ChatRepository chatRepository;
  final UserRepository userRepository;

  ChatBloc(this.chatRepository, this.userRepository)
      : super(ChatLoadingState());
  @override
  Stream<ChatState> mapEventToState(ChatEvent event) async* {
    if (event is ChatRefreshEvent) {
      if (!(state is ChatLoadedState)) yield ChatLoadingState();
      AppResponse<List<Chat>> chatsResponse = await chatRepository.getChats();
      if (chatsResponse.isSuccess) {
        yield ChatLoadedState(chatsResponse.data);
      } else {
        debugPrint("Error ${chatsResponse.error}");
        yield ChatErrorState(chatsResponse.error.toString());
      }
    }
  }
}
