import 'package:ocg_chat/src/models/chat.dart';
import 'package:ocg_chat/src/models/message.dart';

abstract class ChatDetailState {
  final String chatId;

  ChatDetailState(this.chatId);
}

class ChatDetailIdleState extends ChatDetailState {
  ChatDetailIdleState() : super(null);
}

class ChatDetailLoadingState extends ChatDetailState {
  ChatDetailLoadingState(String chatId) : super(chatId);
}

class ChatDetailLoadedState extends ChatDetailState {
  final Chat chat;
  final List<Message> sharedMessages;
  ChatDetailLoadedState(
    String chatId,
    this.chat,
    this.sharedMessages,
  ) : super(chatId);
}

class ChatDetailErrorState extends ChatDetailState {
  final String error;
  ChatDetailErrorState(String chatId, this.error) : super(chatId);
}
