import 'package:equatable/equatable.dart';

abstract class ChatUpdateEvent extends Equatable {
  final String chatId;

  ChatUpdateEvent(this.chatId);
}

class ChatUpdateMuteEvent extends ChatUpdateEvent {
  final bool muted;

  ChatUpdateMuteEvent(String chatId, this.muted) : super(chatId);

  @override
  List<Object> get props => [chatId, muted];
}

class ChatUpdateRenameEvent extends ChatUpdateEvent {
  final String name;

  ChatUpdateRenameEvent(String chatId, this.name) : super(chatId);

  @override
  List<Object> get props => [chatId, name];
}

class ChatUpdateKickEvent extends ChatUpdateEvent {
  final String userId;

  ChatUpdateKickEvent(String chatId, this.userId) : super(chatId);
  @override
  List<Object> get props => [chatId, userId];
}

class ChatUpdateAddListEvent extends ChatUpdateEvent {
  final List<String> users;

  ChatUpdateAddListEvent(String chatId, this.users) : super(chatId);

  @override
  List<Object> get props => [chatId, users];
}

class ChatUpdateAdminEvent extends ChatUpdateEvent {
  final String admin;
  ChatUpdateAdminEvent(String chatId, this.admin) : super(chatId);

  @override
  List<Object> get props => [chatId, admin];
}

class ChatUpdateMetadataEvent extends ChatUpdateEvent {
  final Map<String, dynamic> metadata;
  ChatUpdateMetadataEvent(String chatId, this.metadata) : super(chatId);

  @override
  List<Object> get props => [chatId, metadata];
}

class ChatUpdateLeaveEvent extends ChatUpdateEvent {
  ChatUpdateLeaveEvent(
    String chatId,
  ) : super(chatId);

  @override
  List<Object> get props => [
        chatId,
      ];
}

class ChatUpdateClearEvent extends ChatUpdateEvent {
  ChatUpdateClearEvent(
    String chatId,
  ) : super(chatId);

  @override
  List<Object> get props => [
        chatId,
      ];
}
