import 'package:ocg_chat/src/bloc/chat_update/event.dart';

abstract class ChatUpdateState {
  final ChatUpdateEvent event;
  ChatUpdateState(this.event);
}

class ChatUpdateSuccessState extends ChatUpdateState {
  ChatUpdateSuccessState(ChatUpdateEvent event) : super(event);
}

class ChatUpdateInitialState extends ChatUpdateState {
  ChatUpdateInitialState() : super(null);
}

class ChatUpdateLoadingState extends ChatUpdateState {
  ChatUpdateLoadingState(ChatUpdateEvent event) : super(event);
}

class ChatUpdateErrorState extends ChatUpdateState {
  final String error;
  ChatUpdateErrorState(ChatUpdateEvent event, this.error) : super(event);
}
