import '../../models/message.dart';

abstract class MessageEvent {}

class MessageFetchEvent extends MessageEvent {
  final String chatId;
  final String before;
  MessageFetchEvent(this.chatId, this.before);
}

class MessageSendEvent extends MessageEvent {
  final Message message;

  MessageSendEvent(this.message);
}

class MessageRetryEvent extends MessageEvent {
  final Message message;

  MessageRetryEvent(this.message);
}

class MessageReceiveEvent extends MessageEvent {
  final Message message;

  MessageReceiveEvent(this.message);
}

class MessageSeenEvent extends MessageEvent {
  final String msgId;

  MessageSeenEvent(this.msgId);
}

class MessageReadEvent extends MessageEvent {
  final Message message;

  MessageReadEvent(this.message);
}
