import 'package:equatable/equatable.dart';
import 'package:ocg_user/ocg_user.dart';

class ChatSignalType {
  static String get typing => "typing";
  static String get notTyping => "notTyping";
}

class ChatSignal extends Equatable {
  final String channelId;
  final String message;
  final String senderId;
  final User sender;

  ChatSignal(this.channelId, this.message, this.senderId) : sender = null;

  ChatSignal.named({
    this.channelId,
    this.message,
    this.senderId,
    this.sender,
  });

  ChatSignal copyWith(
      {String channelId, String message, String senderId, User sender}) {
    return ChatSignal.named(
        channelId: channelId ?? this.channelId,
        message: message ?? this.message,
        sender: sender ?? this.sender,
        senderId: senderId ?? this.senderId);
  }

  @override
  List<Object> get props => [channelId, senderId, message];
}
