import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:ocg_chat/ocg_chat.dart';
import 'package:ocg_user/ocg_user.dart';
import 'package:ocg_contact/ocg_contact.dart';

class ChatTitleWidget extends StatelessWidget {
  final Chat chat;
  final TextStyle style;
  final TextAlign textAlign;
  const ChatTitleWidget({Key key, this.chat, this.style, this.textAlign})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    if (chat.isGroup) {
      return Text(
        "${chat?.title}",
        style: style,
        textAlign: textAlign,
      );
    } else {
      User user = chat.friend;
      return BlocBuilder<ContactListBloc, ContactListState>(
          builder: (context, state) {
        Contact contact;
        if (state is ContactListLoadedState && user.phone != null) {
          debugPrint("Contact ${user?.phone}");
          int index = state.contacts
              .indexWhere((element) => element.phones.contains(user.phone));
          if (index != -1) {
            contact = state.contacts[0];
          }
        }
        return Text(
          "${contact?.name ?? user?.name}",
          style: style,
          textAlign: textAlign,
        );
      });
    }
  }
}
