import 'package:ocg_app/ocg_app.dart';
import 'package:flutter/material.dart';
import 'package:ocg_chat/src/widgets/chat_title_widget.dart';

import '../models/chat.dart';

class ChatWidget extends StatelessWidget {
  final Chat chat;
  final String metadata;
  final Function(Chat chat) onTap;
  const ChatWidget(
      {Key key, @required this.chat, @required this.onTap, this.metadata})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ListTile(
      onTap: () {
        onTap(chat);
      },
      title: ChatTitleWidget(
        chat: chat,
        style: TextStyle(color: Colors.black, fontSize: 18),
      ),
      subtitle: Text(
        metadata ?? "${chat.lastMsg?.text ?? "Start Conversation"}",
        style: TextStyle(fontSize: 14),
      ),
      // TODO
      leading: CircleAvatar(
        radius: 24,
        backgroundImage: NetworkImage(
          "${AppUIHelper.of(context).getPlaceholderImage(chat.title)}",
        ),
      ),
    );
  }
}
