import 'package:ocg_chat/src/screens/message_details_screen.dart';
import 'package:ocg_chat/src/widgets/message_widget.dart';
import 'package:flutter/material.dart';

import '../models/message.dart';

class MessageListView extends StatelessWidget {
  final List<Message> messages;
  final void Function(Message message) onVisible;
  final void Function(Message message) onRetry;
  final ScrollController scrollController;
  const MessageListView(
      {Key key,
      this.messages,
      this.onVisible,
      this.onRetry,
      this.scrollController})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ListView.builder(
      controller: scrollController,
      padding: EdgeInsets.symmetric(vertical: 8, horizontal: 8),
      itemBuilder: (context, index) {
        Message message = messages[index];
        return GestureDetector(
          onTap: () {
            if (message.isSelf)
              Navigator.of(context).push(MaterialPageRoute(
                  builder: (context) => MessageDetailsScreen(
                        receiveData: message.receiveData,
                      )));
          },
          child: MessageWidget(
            message: message,
            onVisible: onVisible,
            onRetry: onRetry,
          ),
        );
      },
      shrinkWrap: true,
      itemCount: messages.length,
    );
  }
}
